%define kdeprefix /usr
%define version 1.1.1pre2
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename kdeutils
Name: %{kdename}
Summary: K Desktop Environment - Utilities
Version: %{version}
Release: %{kderelease}
Serial: 1
#Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Group: Applications/System
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL/Artistic
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq
(print queue manager) knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced);kwrite (improved
text editor).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdeutils-%{version}

%build
export KDEDIR=%{kdeprefix}
./configure  \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







